/// <class>Test</class>
/// <namespace>Test</namespace>
/// <description></description>
/// <target>WPF</target>
/// <profile>ps_3_0</profile>

//--------------------------------------------------------------------------------------
// Sampler Inputs (Brushes, including ImplicitInput)
//--------------------------------------------------------------------------------------

sampler2D ImplicitInputSampler : register(S0);

//-----------------------------------------------------------------------------------------
// Shader constant register mappings (scalars - float, double, Point, Color, Point3D, etc.)
//-----------------------------------------------------------------------------------------

/// <summary>ImplicitDoubleRegister</summary>
float ImplicitDoubleRegister : register(C0);

/// <summary>ExplicitDoubleRegister</summary>
/// <type>double</type>
float ExplicitDoubleRegister : register(C1);

/// <summary>FloatRegister</summary>
/// <type>float</type>
float FloatRegister : register(C2);

/// <summary>SingleRegister</summary>
/// <type>single</type>
float SingleRegister : register(C3);

/// <summary>ImplicitPointRegister</summary>
float2 ImplicitPointRegister : register(C4);

/// <summary>ExplicitPointRegister</summary>
/// <type>point2</type>
float2 ExplicitPointRegister : register(C6);

/// <summary>SizeRegister</summary>
/// <type>size</type>
float2 SizeRegister : register(C8);

/// <summary>VectorRegister</summary>
/// <type>vector</type>
float2 VectorRegister : register(C10);

/// <summary>ImplicitPoint3DRegister</summary>
float3 ImplicitPoint3DRegister : register(C12);

/// <summary>ExplicitPoint3DRegister</summary>
/// <type>Point3D</type>
float3 ExplicitPoint3DRegister : register(C15);

/// <summary>Vector3DRegister</summary>
/// <type>vector3d</type>
float3 Vector3DRegister : register(C18);

/// <summary>ImplicitColorRegister</summary>
float4 ImplicitColorRegister : register(C21);

/// <summary>ExplicitColorRegister</summary>
/// <type>Color</type>
float4 ExplicitColorRegister : register(C25);

/// <summary>Point4Register</summary>
/// <type>point4d</type>
float4 Point4Register : register(C29);

/// <defaultValue>1</defaultValue>
float DefaultValueFloat : register(C30);

/// <summary>ImplicitIntRegister</summary>
int ImplicitIntRegister : register(I0);

/// <summary>ExplicitIntRegister</summary>
/// <type>int</type>
int ExplicitIntRegister : register(I1);

/// <summary>ImplicitUIntRegister</summary>
uint ImplicitUIntRegister : register(I2);

/// <summary>ExplicitUIntRegister</summary>
/// <type>uint</type>
uint ExplicitUIntRegister : register(I3);

/// <summary>ByteRegister</summary>
/// <type>byte</type>
int ByteRegister : register(I4);

/// <summary>SByteRegister</summary>
/// <type>sbyte</type>
int SByteRegister : register(I5);

/// <summary>ShortRegister</summary>
/// <type>short</type>
int ShortRegister : register(I6);

/// <summary>UShortRegister</summary>
/// <type>ushort</type>
int UShortRegister : register(I7);

/// <summary>CharRegister</summary>
/// <type>char</type>
int CharRegister : register(I8);

/// <summary>LongRegister</summary>
/// <type>long</type>
int LongRegister : register(I9);

/// <summary>ULongRegister</summary>
/// <type>ulong</type>
int ULongRegister : register(I10);

//--------------------------------------------------------------------------------------
// Pixel Shader
//--------------------------------------------------------------------------------------

float4 main(float2 uv : TEXCOORD) : COLOR
{
    return tex2D(ImplicitInputSampler, uv);
}